require("loveframes")
local pe = require("loveframes/ext/panelExt")

-- panelExt custom draw routines
local function myDrawFunc(object)
  local mx, my = love.mouse.getPosition()
  love.graphics.setColor(255,0,0,255)
  love.graphics.rectangle("line", object.x+mx, object.y+my, object.width-mx*2, object.height-my*2)
end

local function myDrawFunc1(object)
  local mx, my = love.mouse.getPosition()
  love.graphics.setColor(0,0,0,255)
  love.graphics.print(mx..","..my, object.x+5, object.y+5)
  love.graphics.rectangle("line", object.x, object.y, object.width, object.height)
end

local function myDrawFunc2(object)
  for x = object.x, object.x+object.width do
  for y = object.y, object.y+object.height do
    love.graphics.setColor(math.random(255),math.random(255),math.random(255),255)
    love.graphics.point(x, y)
  end
  end
end

function love.update(dt)
    loveframes.update(dt)
end
                 
function love.draw()
    loveframes.draw()
end
 
function love.mousepressed(x, y, button)
    loveframes.mousepressed(x, y, button)
end
 
function love.mousereleased(x, y, button)
    loveframes.mousereleased(x, y, button)
end
 
function love.keypressed(key, unicode)
    loveframes.keypressed(key, unicode)
end
 
function love.keyreleased(key)
    loveframes.keyreleased(key)
end

function love.textinput(text)
    loveframes.textinput(text)
end

local desktop = pe.Create(myDrawFunc)
desktop:SetSize(love.graphics.getWidth(), love.graphics.getHeight())

parentframe = loveframes.Create("frame")
parentframe:SetParent(desktop)
parentframe:ShowCloseButton(false)
parentframe:Center()

local button1 = loveframes.Create("button", parentframe)
button1:SetText("Button1")
button1:SetPos(5, 35)
 
-- method 2 using SetParent
local button2 = loveframes.Create("button")
button2:SetParent(parentframe)
button2:SetText("Button2")
button2:SetPos(5, 70)

panel = pe.Create(myDrawFunc1)
panel:SetParent(parentframe)
panel:SetPos(5, 100)
panel:SetSize(200, 32)


local panel1 = pe.Create(myDrawFunc2)
local colcat = loveframes.Create("collapsiblecategory")
colcat:SetParent(parentframe)
colcat:SetObject(panel1)
colcat:SetSize(100, 25)
colcat:SetPos(100,0)
colcat:SetText("")
local button3 = loveframes.Create("button")
button3:SetParent(panel1)
button3:SetText("Button3")
button3:SetPos(5, 5)